Data Migration Tool problem for 4.0.5 to 7.0.1 UCCX upgrade

Unanswered Question
Feb 24th, 2010

I am upgrading a customer's UCCX and CUCM clusters and I am simulating the upgrade in my lab before I go to the site.  The customer has received licenses for 7.1.3 CUCM and 7.0.1 UCCX.  According to the compatibility matrix for UCCX it must be upgraded to 7.0.1 SR4 to be compatible with 7.1.3 CUCM.  I ran the data migration tool and when I try to do the import I get an error stating that the migration must be a CUCM deployment.  In my lab, I already have the CUCM running on 7.1.3.  I assume I am getting this error because the UCCX 7.0.1 base version is not compatible with 7.1.3 CUCM until service release 4.  The Data Migration tool requires that UCCX must run the base version to do the data migration.  Are my assumptions correct or is there some other reason I am getting this error

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
e.groves Wed, 02/24/2010 - 14:27

So, I loaded my CUCM with 6.1.4 which is absolutely compatible with UCCX 7.0.1 and I still get the same error which is as follows:  Data Migration is only supported on CUCM Deployments.  I am using the Data Migration Tool for 4.0.5 to 7.0.1 UCCX deployments.  All necessary services are started on the CUCM and the UCCX license and CUCM pass validation.  I am at a loss as to why I am getting this error.  Does anyone have any ideas?

e.groves Wed, 05/12/2010 - 06:39

Yes, it was a silly error caused by my inattention to detail when I rushed through it the first time.  Early on in the wizard it gives you two choices:  A CUCM deployment or a CME deployment.  Make sure you have the box checked for a CUCM deployment. 

j.morand Wed, 05/12/2010 - 09:49


It is the wizard for DMT or UCCX installation ?


e.groves Wed, 05/12/2010 - 11:10

So, you export your data with the DMT tool from the old IPCC version.  Then you load the 7.x UCCX.  In one of the windows near the beginning of the UCCX installation you are given the choice of selecting CUCM or CME deployment.  If CME is checked, when you finish and do your DMT import it will fail.


This Discussion